Summary: The ADAPTIVE Communication Environment
Name: ACE
Version: 5.1
Release: 1
Packager: Vadim Zaliva <lord@crocodile.org>
Group: Development/Libraries
Source: ftp://ace.cs.wustl.edu/pub/ACE/ACE-5.1+TAO-1.1.tar.gz
Patch0: ACE-5.1.linux.patch
License: http://www.cs.wustl.edu/~schmidt/ACE-copying.html
URL: http://www.cs.wustl.edu/~schmidt/ACE.html

%description

The ADAPTIVE Communication Environment (ACE) is a freely available,
open-source object-oriented (OO) framework that implements many core
patterns for concurrent communication software. ACE provides a rich
set of reusable C++ wrapper facades and framework components that
perform common communication software tasks across a range of OS
platforms. The communication software tasks provided by ACE include
event demultiplexing and event handler dispatching, signal handling,
service initialization, interprocess communication, shared memory
management, message routing, dynamic (re)configuration of distributed
services, concurrent execution and synchronization.

ACE is targeted for developers of high-performance and real-time
communication services and applications. It simplifies the development
of OO network applications and services that utilize interprocess
communication, event demultiplexing, explicit dynamic linking, and
concurrency. In addition, ACE automates system configuration and
reconfiguration by dynamically linking services into applications at
run-time and executing these services in one or more processes or
threads.

This file includes runtime libraries required to run programms
dynamically linked with ACE.

%package devel
Group: Development/Libraries
Summary: The ADAPTIVE Communication Environment libraries and header files
%description devel

The ADAPTIVE Communication Environment (ACE) is a freely available,
open-source object-oriented (OO) framework that implements many core
patterns for concurrent communication software. ACE provides a rich
set of reusable C++ wrapper facades and framework components that
perform common communication software tasks across a range of OS
platforms. The communication software tasks provided by ACE include
event demultiplexing and event handler dispatching, signal handling,
service initialization, interprocess communication, shared memory
management, message routing, dynamic (re)configuration of distributed
services, concurrent execution and synchronization.

ACE is targeted for developers of high-performance and real-time
communication services and applications. It simplifies the development
of OO network applications and services that utilize interprocess
communication, event demultiplexing, explicit dynamic linking, and
concurrency. In addition, ACE automates system configuration and
reconfiguration by dynamically linking services into applications at
run-time and executing these services in one or more processes or
threads.

This package includes header files, libraries, etc. to build
programs using ACE.

%prep
%setup -n ACE_wrappers
%patch0 
%build
mkdir obj_files
cd obj_files
../configure --prefix=/usr
make

%install
cd obj_files
make install

%files
%defattr(-,root,root)
%doc AUTHORS BIBLIOGRAPHY COPYING FAQ ChangeLog NEWS PROBLEM-REPORT-FORM README THANKS TODO VERSION 
/usr/lib/libACE.so
/usr/lib/libACE.so.5
/usr/lib/libACE.so.5.1.0
/usr/lib/libnetsvcs.so
/usr/lib/libnetsvcs.so.5
/usr/lib/libnetsvcs.so.5.1.0


%files devel
%doc AUTHORS BIBLIOGRAPHY COPYING FAQ ChangeLog NEWS PROBLEM-REPORT-FORM README THANKS TODO VERSION 
%defattr(-,root,root)
/usr/include/ace
/usr/bin/ace-config
/usr/bin/gperf
/usr/info/gperf.info
/usr/lib/aceConf.sh
/usr/lib/libnetsvcs.la
/usr/lib/libACE.la
/usr/man/man1/ace-config.1
/usr/man/man1/gperf.1
/usr/share/ace

%changelog
* Wed Sep 26 2001 Vadim Zaliva <lord@crocodile.org>
- Created spec file from scratch.
